from pathlib import Path


class ResourceManager:
    """
    The ResourceManager loads resources at their right place,
    and stores files in config directory.
    """
    BASE_DIR = Path(__file__).resolve().parent / 'assets'

    @classmethod
    def get_asset_path(cls, filename: str) -> str:
        return str(cls.BASE_DIR / filename)
